<div class:'form col-md-4'>
<h2>Edit <%= resource_name.to_s.humanize %></h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put, class: 'from' }) do |f| %>
  <%= devise_error_messages! %>

  <div class:'field form-group'>
    <%= f.label :name %><br />
    <%= f.text_field :name, autofocus: true, class:'form-control' %>
  </div>

  <div class:'field form-group'>
    <%= f.label :location %><br />
    <%= f.text_field :location, class:'form-control' %>
  </div>

  <div class:'field form-group'>
    <%= f.label :email %><br />
    <%= f.email_field :email, autofocus: true, class:'form-control' %>
  </div>

  <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
    <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
  <% end %>

  <div class:'field form-group'>
    <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
    <%= f.password_field :password, autocomplete: "off", class:'form-control' %>
  </div>

  <div class:'field form-group'>
    <%= f.label :password_confirmation %><br />
    <%= f.password_field :password_confirmation, autocomplete: "off", class:'form-control' %>
  </div>

  <div class:'field form-group'>
    <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
    <%= f.password_field :current_password, autocomplete: "off", class:'form-control' %>
  </div>

  <div class:"actions">
    <%= f.submit "Update", class:'btn btn-default' %>
  </div>
<% end %>

<h3>Cancel my account</h3>

<p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>

<%= link_to "Back", :back %>
</div>
